HSOLINKCONTROL(8)

NAME
hsolinkcontrol - application helper to manage the Option hso interface

SYNOPSIS
hsolinkcontrol [down port_num | up port_num dns1 dns2 ip ]

DESCRIPTION
hsolinkcontrol manages the hso IP link on behalf of connection manager programs; handling the low level tasks of bringing up the link and tearing it down again. hsolinkcontrol controls the update of the routing table, resolv.conf and calls ifconfig for hso?. If resolvconf(8)
 is installed it will use that program instead of directly manipulating /etc/resolv.conf.

OPTIONS

down port_num
    Bring down hso[port_num] link. If resolvconf was used then also delete hso[port_num] from routing table. E.g. hsolinkcontrol down 0 Which brings down the hso[port_num] link if it exists.

up port_num dns1 dns2 ip
    Start up hso[port_num] link, calling ifconfig then updating the routing table and /etc/resolv.conf. By the time hsolinkcontrol is called by a connection manager application the network PDP context has already been defined and started. E.g. hsolinkcontrol up 1

unbind driver end-point
    Where driver is typically the directory "/sys/bus/usb/drivers/hso/" and end-point is one of those listed in the directory. The purpose is to disconnect the driver from the end point. This may help unblock the driver (not sure if this is required).

bind driver end-point
    Where driver is typically the directory "/sys/bus/usb/drivers/hso/" and end-point is one of those listed in the directory. The purpose is to re-assign the driver to the end point following a corresponding unbind.

FILES
If hsolinkcontrol directly manages the /etc/resolv.conf file then it will create /etc/resolv.conf.hsoc.tmp to hold the old copy of /etc/resolv.conf which is restored when the link is brought down.

ENVIRONMENT
None

DIAGNOSTICS
Calling the program without parameters makes it report if resolvconf is present.

NOTES
None

BUGS
No validation done on parameters.

AUTHOR
Paul Hardwick <paul@peck.org.uk>

SEE ALSO
None